Bug 1255088 - dnf should not upgrade kernel-lpae
dnf should not upgrade kernel-lpae
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 10:58 EDT by Dennis Gilmore
Modified: 2016-07-19 13:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:34:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2015-08-19 10:58:23 EDT
Description of problem:
yum --enablerepo updates-testing install kernel-lpae-4.1.6-200.fc22
Yum command has been deprecated, redirecting to '/usr/bin/dnf --enablerepo updates-testing install kernel-lpae-4.1.6-200.fc22'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Last metadata expiration check performed 0:06:13 ago on Wed Aug 19 09:49:48 2015.
Dependencies resolved.
===============================================================================================================================================================================================================================================================================
 Package                                                                    Arch                                                     Version                                                            Repository                                                        Size
===============================================================================================================================================================================================================================================================================
Installing:
 kernel-lpae-core                                                           armv7hl                                                  4.1.6-200.fc22                                                     updates-testing                                                   15 M
 kernel-lpae-modules                                                        armv7hl                                                  4.1.6-200.fc22                                                     updates-testing                                                   10 M
Upgrading:
 kernel-lpae                                                                armv7hl                                                  4.1.6-200.fc22                                                     updates-testing                                                   68 k
Removing:
 kernel-lpae-core                                                           armv7hl                                                  4.1.3-201.fc22                                                     @System                                                           62 M
 kernel-lpae-modules                                                        armv7hl                                                  4.1.3-201.fc22                                                     @System                                                           36 M
 kernel-lpae-modules-extra                                                  armv7hl                                                  4.1.3-201.fc22                                                     @System                                                          2.6 M

Transaction Summary
===============================================================================================================================================================================================================================================================================
Install  2 Packages
Upgrade  1 Package
Remove   3 Packages


dnf should always install kernel-lpae like it does for kernel
Comment 1 Michael Mráka 2015-08-20 05:18:24 EDT
kernel-lpae is not in installonlypkgs by default.
You can either add it manually to your config or ask kernel packagers to provide 'kernel' within the package (similarly kernel-core does).
Comment 2 Josh Boyer 2015-08-21 12:19:10 EDT
The kernel metapackage indeed lacks installonly provides.  But it has never had them nor needed them.  The kernel-core packages don't have installonly Provides either.  I'm growing increasingly frustrated at being told we have to keep changing the packaging of the kernel because dnf behaves differently.

Can someone please succinctly explain why kernel/kernel-{lpae,PAE} (and presumably the kernel-core packages) now need something they have never needed before?
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:29:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 13:34:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.